Bug 1460754 - containers: containers analysis task results - user is system and owner is empty
containers: containers analysis task results - user is system and owner is empty
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis (Show other bugs)
5.8.0
x86_64 All
unspecified Severity medium
: GA
: 5.8.2
Assigned To: Mooli Tayer
brahmani
container:smartstate
: UserExperience, ZStream
Depends On: 1439652
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 11:23 EDT by Satoe Imaishi
Modified: 2017-10-23 20:16 EDT (History)
9 users (show)

See Also:
Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1439652
Environment:
Last Closed: 2017-10-23 20:16:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Container Management


Attachments (Terms of Use)
screenshot showing same user (92.71 KB, image/png)
2017-07-03 06:33 EDT, Einat Pacifici
no flags Details

  None (edit)
Comment 2 CFME Bot 2017-06-12 11:31:16 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/b4ad2e25234fd7ef984a682296f9fca6444fe0e1

commit b4ad2e25234fd7ef984a682296f9fca6444fe0e1
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Thu May 25 13:53:09 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jun 12 11:26:03 2017 -0400

    Merge pull request #15232 from jrafanie/hack_current_user
    
    Hack: set current_user since raw_scan_job_create now expects it
    (cherry picked from commit 87061966261086b377c85cf09302938ab7be3029)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460754

 spec/models/job_proxy_dispatcher_spec.rb | 1 +
 spec/models/job_spec.rb                  | 1 +
 2 files changed, 2 insertions(+)
Comment 3 CFME Bot 2017-06-12 11:31:22 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/8bbc28d9fb7086a98ade7ac7011b3f1fb5fa73d0

commit 8bbc28d9fb7086a98ade7ac7011b3f1fb5fa73d0
Author:     Federico Simoncelli <federico.simoncelli@gmail.com>
AuthorDate: Thu May 25 10:25:42 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jun 12 11:26:03 2017 -0400

    Merge pull request #24 from moolitayer/set_user
    
    Set container scanning user
    (cherry picked from commit ad7cdce010b6aeb21eb2d082c0655afd084db511)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460754

 .../manageiq/providers/kubernetes/container_manager_mixin.rb     | 1 +
 .../providers/kubernetes/container_manager/scanning/job_spec.rb  | 9 +++++++--
 .../manageiq/providers/kubernetes/container_manager_spec.rb      | 2 ++
 3 files changed, 10 insertions(+), 2 deletions(-)
Comment 4 Einat Pacifici 2017-07-03 06:11:21 EDT
Verified. User name displayed is now the username of the logged in user e.g. admin
Comment 5 Einat Pacifici 2017-07-03 06:33 EDT
Created attachment 1293808 [details]
screenshot showing same user

Moving this back to Dev. 

Steps taken: 
Define user (admin2)
Run scan
View Tasks

Actual result: 
user=admin

Expected result: 
user=admin2

Did the above steps with user=testuser2 and still: 
user=admin

Screenshot attached.
Comment 6 Mooli Tayer 2017-07-03 10:05:44 EDT
Thanks Einat!
It took be some time to figure out what is happening.
Check policy prevent checks if a policy wants to cancel the scan and then executes the scan if needed. So we get the Admin user from automate which actually calls for the scan.

I will send the user as argument
Comment 7 Mooli Tayer 2017-07-03 10:09:00 EDT
BTW this isn't the original bug described here but something a little different.
(user != system, but always equals 'admin')
Comment 10 CFME Bot 2017-08-04 13:56:12 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/48e7f137969c479d0b40ffdeac2b1a8a52817a75

commit 48e7f137969c479d0b40ffdeac2b1a8a52817a75
Author:     Federico Simoncelli <federico.simoncelli@gmail.com>
AuthorDate: Wed Jul 5 12:10:35 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 4 13:51:08 2017 -0400

    Merge pull request #54 from moolitayer/ssa_user
    
    Pass userid before going to automation
    (cherry picked from commit e0e4b5f427aec60e28a15cafd07345f48fcdee25)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460754

 .../providers/kubernetes/container_manager_mixin.rb    | 11 ++++++-----
 .../kubernetes/container_manager/scanning/job_spec.rb  | 18 ++++++++++++++++--
 2 files changed, 22 insertions(+), 7 deletions(-)
Comment 13 brahmani 2017-09-07 03:35:26 EDT
The user problem that was always admin is solved.
But the Owner is still empty.
Mooli as discussed, please provide info on how to ensure owner field has value
Comment 14 Mooli Tayer 2017-09-07 06:29:37 EDT
I'm not sure what owner means or if it has a meaning in this context. Loic any idea?
Comment 15 Loic Avenel 2017-09-07 09:16:03 EDT
Owner is the process owner and Owner message is the what is this process is doing.
Like "external proxy" "collecting data" ..

Using "owner" is confusing here.. for Container Analysis, it can remain empty.
Comment 16 brahmani 2017-09-10 08:17:06 EDT
The user problem that was always admin is solved.
According to Loic it OK that "owner" can remain empty.
Comment 18 errata-xmlrpc 2017-10-23 20:16:35 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005

Note You need to log in before you can comment on or make changes to this bug.